# Class CredentialExpiredException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.security.auth.login.LoginException
javax.security.auth.login.CredentialException
javax.security.auth.login.CredentialExpiredException

All Implemented Interfaces:
  `Serializable`

public class CredentialExpiredException extends CredentialException
Signals that a `Credential` has expired.

This exception is thrown by LoginModules when they determine that a `Credential` has expired. For example, a `LoginModule` authenticating a user in its `login` method may determine that the user's password, although entered correctly, has expired. In this case the `LoginModule` throws this exception to notify the application. The application can then take the appropriate steps to assist the user in updating the password.

Since:
  1.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CredentialExpiredException()`
Constructs a CredentialExpiredException with no detail message.
`CredentialExpiredException(String msg)`
Constructs a CredentialExpiredException with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CredentialExpiredException

public CredentialExpiredException()
Constructs a CredentialExpiredException with no detail message. A detail message is a String that describes this particular exception.

### CredentialExpiredException

public CredentialExpiredException(String msg)
Constructs a CredentialExpiredException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.